| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | List of all members
SoEngineOutputList Class Reference
Engine Classes

The SoEngineOutputList class is a container for SoEngineOutput objects. More...

`#include <Inventor/lists/SoEngineOutputList.h>`

Inheritance diagram for SoEngineOutputList:

## Public Member Functions

| SoEngineOutputList (void)
| SoEngineOutputList (const int sizehint)
| SoEngineOutputList (const SoEngineOutputList &l)
void | append (SoEngineOutput *output)
void | insert (SoEngineOutput *output, const int insertbefore)
SoEngineOutput * | operator[] (const int idx) const
void | set (const int idx, SoEngineOutput *item)
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members

Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoEngineOutputList class is a container for SoEngineOutput objects.

See also
  SbList

## Constructor & Destructor Documentation

## ◆ SoEngineOutputList() [1/3]

SoEngineOutputList::SoEngineOutputList | ( | void |  | ) |

inline

Default constructor.

## ◆ SoEngineOutputList() [2/3]

SoEngineOutputList::SoEngineOutputList | ( | const int | sizehint | ) |

inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

## ◆ SoEngineOutputList() [3/3]

SoEngineOutputList::SoEngineOutputList | ( | const SoEngineOutputList & | l | ) |

inline

Copy constructor.

The documentation for this class was generated from the following files:

- SoEngineOutputList.h
- SoEngineOutputList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.